# pymatgen.io.atat module

Classes for reading/writing mcsqs files following the rndstr.in format.

class Mcsqs(structure)

  Bases: `object`

  Handle input/output for the crystal definition format used by mcsqs and other ATAT codes.

  Parameters

    structure – input Structure

  static structure_from_string(data)

    Parses a rndstr.in, lat.in or bestsqs.out file into pymatgen’s Structure format.

    Parameters

      data – contents of a rndstr.in, lat.in or bestsqs.out file

    Returns

      Structure object

  to_string()

    Returns a structure in mcsqs rndstr.in format. :return (str):